platformCredentialAuthenticationMethod 资源类型

命名空间:microsoft.graph

表示在 Mac OS 上注册到用户的平台凭据实例。 平台凭据是 Mac OS 设备的登录身份验证方法。

此派生类型继承自 authenticationMethod 资源类型。

方法

方法 返回类型 Description
List platformCredentialAuthenticationMethod 集合 获取 平台CredentialAuthenticationMethod 对象及其属性的列表。
Get platformCredentialAuthenticationMethod 读取 platformCredentialAuthenticationMethod 对象的属性和关系。
删除 无 删除 platformCredentialAuthenticationMethod 对象。

属性

属性 类型 说明
createdDateTime DateTimeOffset 注册此平台凭据密钥的日期和时间。 继承自 authenticationMethod。
displayName String 注册平台凭据的设备的名称。
id String 此身份验证方法的唯一标识符。 继承自 authenticationMethod
keyStrength authenticationMethodKeyStrength 此平台凭据密钥的关键强度。 可能的值包括 normal、weak、unknown。
平台 authenticationMethodPlatform 存在此平台凭据密钥的平台。 可能的值为:unknown、、windows、macOSiOS、android、 linux。

关系

关系 类型 说明
设备 设备 此平台凭据所在的已注册设备。 支持 $expand。

获取用户的平台凭据注册信息时,仅在单个 GET 和指定 ?$expand时返回此属性。 例如,GET /users/admin@contoso.com/authentication/platformCredentialAuthenticationMethod/_jpuR-TGZtk6aQCLF3BQjA2?$expand=device。

JSON 表示形式

以下 JSON 表示形式显示了资源类型。

{
  "@odata.type": "#microsoft.graph.platformCredentialAuthenticationMethod",
  "id": "String (Identifier)",
  "displayName": "String",
  "createdDateTime": "String (timestamp)",
  "keyStrength": {"@odata.type": "microsoft.graph.authenticationMethodKeyStrength"},
  "platform": {"@odata.type": "microsoft.graph.authenticationMethodPlatform"}
}